Subject: bug#22492: create new user guixsd

From: [email-masked]
Date: Mon, 01 Feb 2016 18:01:56 +0100

Hi,

On 2016-02-01 01:55, Leo Famulari wrote:
> On Sat, Jan 30, 2016 at 03:48:26AM +0100, [email-masked] wrote:
>> Hi,
>> 
>> i run 'guix system reconfigure config.scm --falback', and add new 
>> user:
>> tron.
>> 
>> When i try to login such as tron does not allow login and slim 
>> restart.
>> 
>> i check secure and slim.log log files, this message appears in 
>> slim.log:
>> 
>> slim: pam_authentication(): User not known to the underlying 
>> authentication
>> module
>> 
>> The solution to fix this issue was: changing the owner:group for the 
>> home
>> user.
>> 
>> cd /home
>> chown -Rf 30019:users tron
> 
> If I am reading this correctly, it means that you changed ownership of
> all files in /home to the "tron" user. In general that seems like a bad
> idea. What about other users?
> 
>> 
>> and works.
>> 
>> 
>> 
>> 

In the new generations the user are created but do not enter.

Thanks